commit:     339f52d9793b4b33036f105daa5f9a9f70c83b86
Author:     Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT> 
de>
AuthorDate: Mon May  5 08:53:04 2025 +0000
Commit:     Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT> 
de>
CommitDate: Mon May  5 08:53:04 2025 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=339f52d9

sci-physics/qcdloop: add 2.1.0

Signed-off-by: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik.de>

 sci-physics/qcdloop/qcdloop-2.1.0.ebuild | 40 ++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/sci-physics/qcdloop/qcdloop-2.1.0.ebuild 
b/sci-physics/qcdloop/qcdloop-2.1.0.ebuild
new file mode 100644
index 000000000..3d8115e32
--- /dev/null
+++ b/sci-physics/qcdloop/qcdloop-2.1.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+
+inherit cmake fortran-2
+
+DESCRIPTION="An object-oriented one-loop scalar Feynman integrals framework"
+HOMEPAGE="https://qcdloop.web.cern.ch/qcdloop/";
+SRC_URI="https://github.com/scarrazza/${PN}/archive/refs/tags/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_prepare() {
+       cmake_src_prepare
+
+       # gentoo libdir love
+       sed -i \
+               -e '/DESTINATION/s/lib/lib${LIB_SUFFIX}/g' \
+               CMakeLists.txt || die
+       sed -i \
+               -e '/libdir.*/s/lib/lib${LIB_SUFFIX}/g' \
+               CMakeLists.txt || die
+
+       #sed -i \
+       #       -e '/qcdloop/s/SHARED/STATIC/g' \
+       #       CMakeLists.txt || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_PREFIX="${ESYSROOT}"/usr
+               -DENABLE_FORTRAN_WRAPPER=ON
+       )
+       cmake_src_configure
+}

Reply via email to